com.hazelcast.config

## Class ConfigXmlGenerator

- java.lang.Object
- - com.hazelcast.config.ConfigXmlGenerator

-     public class ConfigXmlGenerator
      extends Object

  The ConfigXmlGenerator is responsible for transforming a `Config` to a Hazelcast XML string.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigXmlGenerator.XmlGenerator` Utility class to build xml using a `StringBuilder`.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `MASK_FOR_SENSITIVE_DATA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigXmlGenerator()` Creates a ConfigXmlGenerator that will format the code.
    `ConfigXmlGenerator(boolean formatted)` Creates a ConfigXmlGenerator.
    `ConfigXmlGenerator(boolean formatted, boolean maskSensitiveFields)` Creates a ConfigXmlGenerator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `generate(Config config)` Generates the XML string based on some Config.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MASK_FOR_SENSITIVE_DATA

          protected static final String MASK_FOR_SENSITIVE_DATA

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ConfigXmlGenerator

          public ConfigXmlGenerator()

      Creates a ConfigXmlGenerator that will format the code.

    - #### ConfigXmlGenerator

          public ConfigXmlGenerator(boolean formatted)

      Creates a ConfigXmlGenerator.
      Parameters:
        `formatted` - `true` if the XML should be formatted, `false` otherwise

    - #### ConfigXmlGenerator

          public ConfigXmlGenerator(boolean formatted,
                                    boolean maskSensitiveFields)

      Creates a ConfigXmlGenerator.
      Parameters:
        `formatted` - `true` if the XML should be formatted, `false` otherwise
        `maskSensitiveFields` - `true` if the sensitive fields (like passwords) should be masked in the output XML, `false` otherwise

  - ### Method Detail

    - #### generate

          public String generate(Config config)

      Generates the XML string based on some Config.
      Parameters:
        `config` - the configuration
      Returns:
        the XML string

Copyright © 2020. All rights reserved.